Bug 1564665 - [abrt] nautilus: fast_validate(): nautilus killed by SIGSEGV
Summary: [abrt] nautilus: fast_validate(): nautilus killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:59313a14790df65ad2df7e97f6d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-06 20:16 UTC by Daniel Rindt
Modified: 2019-05-28 19:51 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:51:07 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (39.35 KB, text/plain)
2018-04-06 20:16 UTC, Daniel Rindt
no flags Details
File: cgroup (210 bytes, text/plain)
2018-04-06 20:16 UTC, Daniel Rindt
no flags Details
File: core_backtrace (15.61 KB, text/plain)
2018-04-06 20:16 UTC, Daniel Rindt
no flags Details
File: cpuinfo (1.63 KB, text/plain)
2018-04-06 20:16 UTC, Daniel Rindt
no flags Details
File: dso_list (13.35 KB, text/plain)
2018-04-06 20:16 UTC, Daniel Rindt
no flags Details
File: environ (1.62 KB, text/plain)
2018-04-06 20:16 UTC, Daniel Rindt
no flags Details
File: exploitable (100 bytes, text/plain)
2018-04-06 20:16 UTC, Daniel Rindt
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-06 20:16 UTC, Daniel Rindt
no flags Details
File: maps (64.61 KB, text/plain)
2018-04-06 20:16 UTC, Daniel Rindt
no flags Details
File: mountinfo (4.20 KB, text/plain)
2018-04-06 20:16 UTC, Daniel Rindt
no flags Details
File: open_fds (4.63 KB, text/plain)
2018-04-06 20:16 UTC, Daniel Rindt
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-04-06 20:16 UTC, Daniel Rindt
no flags Details
File: var_log_messages (310 bytes, text/plain)
2018-04-06 20:16 UTC, Daniel Rindt
no flags Details

Description Daniel Rindt 2018-04-06 20:16:23 UTC
Version-Release number of selected component:
nautilus-3.28.0.1-1.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 3
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: fast_validate
executable:     /usr/bin/nautilus
journald_cursor: s=68d9dc9a1a8a45d39854ce9324aa052e;i=fec8;b=821e5e1994c946aabcca111234aacc9a;m=a55c8bbe;t=56933a8de27ff;x=a8a9be548ce20e6a
kernel:         4.16.0-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 fast_validate at gutf8.c:1599
 #1 g_utf8_validate at gutf8.c:1673
 #2 autoar_common_get_utf8_pathname at gnome-autoar/autoar-private.c:301
 #3 autoar_extractor_step_scan_toplevel at gnome-autoar/autoar-extractor.c:1605
 #4 autoar_extractor_run at gnome-autoar/autoar-extractor.c:1975
 #5 autoar_extractor_start at gnome-autoar/autoar-extractor.c:2006
 #6 extract_task_thread_func at ../src/nautilus-file-operations.c:8216
 #7 g_task_thread_pool_thread at gtask.c:1331
 #9 g_thread_proxy at gthread.c:784

Comment 1 Daniel Rindt 2018-04-06 20:16:30 UTC
Created attachment 1418325 [details]
File: backtrace

Comment 2 Daniel Rindt 2018-04-06 20:16:31 UTC
Created attachment 1418326 [details]
File: cgroup

Comment 3 Daniel Rindt 2018-04-06 20:16:34 UTC
Created attachment 1418327 [details]
File: core_backtrace

Comment 4 Daniel Rindt 2018-04-06 20:16:35 UTC
Created attachment 1418328 [details]
File: cpuinfo

Comment 5 Daniel Rindt 2018-04-06 20:16:38 UTC
Created attachment 1418329 [details]
File: dso_list

Comment 6 Daniel Rindt 2018-04-06 20:16:39 UTC
Created attachment 1418330 [details]
File: environ

Comment 7 Daniel Rindt 2018-04-06 20:16:41 UTC
Created attachment 1418331 [details]
File: exploitable

Comment 8 Daniel Rindt 2018-04-06 20:16:43 UTC
Created attachment 1418332 [details]
File: limits

Comment 9 Daniel Rindt 2018-04-06 20:16:45 UTC
Created attachment 1418333 [details]
File: maps

Comment 10 Daniel Rindt 2018-04-06 20:16:47 UTC
Created attachment 1418334 [details]
File: mountinfo

Comment 11 Daniel Rindt 2018-04-06 20:16:49 UTC
Created attachment 1418335 [details]
File: open_fds

Comment 12 Daniel Rindt 2018-04-06 20:16:51 UTC
Created attachment 1418336 [details]
File: proc_pid_status

Comment 13 Daniel Rindt 2018-04-06 20:16:54 UTC
Created attachment 1418337 [details]
File: var_log_messages

Comment 14 Ben Cotton 2019-05-02 21:56:59 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-28 19:51:07 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.